package com.zanxiang.manage.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.common.domain.ResultVo;
import com.zanxiang.manage.domain.params.GameStrategyListParam;
import com.zanxiang.manage.domain.params.GameStrategyParam;
import com.zanxiang.manage.domain.vo.GameStrategyListVO;
import com.zanxiang.manage.service.GameStrategyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 游戏策略 前端控制器
 *
 * @author xufeng
 * @date 2022-07-01 11:38
 */
@Api(tags = "游戏策略")
@RestController
@RequestMapping("/game-strategy")
public class GameStrategyController {

    @Autowired
    private GameStrategyService gameStrategyService;

    @ApiOperation(value = "新增/编辑/删除")
    @PostMapping(value = "/save")
    public ResultVo<Boolean> save(@Validated @RequestBody GameStrategyParam param) {
        return ResultVo.ok(gameStrategyService.saveOrUpdate(param));
    }

    @ApiOperation(value = "列表")
    @PostMapping(value = "/list")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功", response = GameStrategyListVO.class, responseContainer = "list")})
    public ResultVo<IPage<GameStrategyListVO>> list(@Validated @RequestBody GameStrategyListParam param) {
        return ResultVo.ok(gameStrategyService.list(param));
    }
}
