package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-04
 * @description : 玩家游戏列表
 */
@Data
public class GameUserListVO {

    /**
     * 主键id
     */
    @ApiModelProperty(notes = "主键id")
    private Long id;

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * 注册渠道id
     */
    @ApiModelProperty(notes = "注册渠道id")
    private Long channelId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private Long cpId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏应用类型id
     */
    @ApiModelProperty(notes = "游戏应用类型id")
    private Long gameCategoryId;

    /**
     * 归因投放人员
     */
    @ApiModelProperty(notes = "归因投放人员")
    private Long pitcherId;

    /**
     * 归因推广账号
     */
    @ApiModelProperty(notes = "归因推广账号")
    private Long accountId;

    /**
     * 归因媒体id
     */
    @ApiModelProperty(notes = "归因媒体id")
    private Long mediaId;

    /**
     * 归因广告id
     */
    @ApiModelProperty(notes = "归因广告id")
    private Long adId;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 平台币余额
     */
    @ApiModelProperty(notes = "平台币余额")
    private BigDecimal platformCoin;

    /**
     * 充值次数
     */
    @ApiModelProperty(notes = "充值次数")
    private Integer rechargeCount;

    /**
     * 创角色数
     */
    @ApiModelProperty(notes = "创角色数")
    private Integer roleCount;

    /**
     * 客服id
     */
    @ApiModelProperty(notes = "客服id")
    private Long customerId;

    /**
     * 是否GS
     */
    @ApiModelProperty(notes = "是否GS")
    private Boolean isGs;

    /**
     * 玩家vip(所有角色中的最高vip等级)
     */
    @ApiModelProperty(notes = "角色vip")
    private Integer roleVipMax;

    /**
     * 开始玩时间(游戏玩家创建时间)
     */
    @ApiModelProperty(notes = "开始玩时间(游戏玩家创建时间)")
    private LocalDateTime createTime;

    /**
     * 最后玩时间(最后登录时间)
     */
    @ApiModelProperty(notes = "最后玩时间(最后登录时间)")
    private LocalDateTime updateTime;

    /**
     * 最近充值时间
     */
    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime lastRechargeTime;

}