package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-07-06
 * @description : 用户信息展示
 */
@Data
public class UserListVO {

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long id;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * 玩家头像
     */
    @ApiModelProperty(notes = "玩家头像")
    private String avatar;

    /**
     * 注册IP
     */
    @ApiModelProperty(notes = "注册IP")
    private String regIp;

    /**
     * 注册时间
     */
    @ApiModelProperty(notes = "注册时间")
    private LocalDateTime createTime;

    /**
     * 注册渠道id
     */
    @ApiModelProperty(notes = "注册渠道id")
    private Long channelId;

    /**
     * cp名称
     */
    @ApiModelProperty(notes = "cp名称")
    private Long cpId;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    private Long gameId;

    /**
     * 游戏应用类型id
     */
    @ApiModelProperty(notes = "游戏应用类型id")
    private Long gameCategoryId;

    /**
     * 归因投放人员
     */
    @ApiModelProperty(notes = "归因投放人员")
    private Long pitcherId;

    /**
     * 归因推广账号
     */
    @ApiModelProperty(notes = "归因推广账号")
    private Long accountId;

    /**
     * 归因媒体id
     */
    @ApiModelProperty(notes = "归因媒体id")
    private Long mediaId;

    /**
     * 归因广告id
     */
    @ApiModelProperty(notes = "归因广告id")
    private Long adId;

    /**
     * 真实姓名
     */
    @ApiModelProperty(notes = "真实姓名")
    private String realName;

    /**
     * 绑定手机号码
     */
    @ApiModelProperty(notes = "绑定手机号码")
    private String mobile;

    /**
     * 绑定支付宝账号
     */
    @ApiModelProperty(notes = "绑定支付宝账号")
    private String aliPay;

    /**
     * 充值金额
     */
    @ApiModelProperty(notes = "充值金额")
    private BigDecimal rechargeMoney;

    /**
     * 平台币余额
     */
    @ApiModelProperty(notes = "平台币余额")
    private BigDecimal platformCoin;

    /**
     * 充值次数
     */
    @ApiModelProperty(notes = "充值次数")
    private Integer rechargeCount;

    /**
     * 创角色数
     */
    @ApiModelProperty(notes = "创角色数")
    private Integer roleCount;

    /**
     * 客服id
     */
    @ApiModelProperty(notes = "客服id")
    private Long customerId;

    /**
     * 是否GS
     */
    @ApiModelProperty(notes = "是否GS")
    private Boolean isGs;

    /**
     * 玩家vip(所有角色中的最高vip等级)
     */
    @ApiModelProperty(notes = "角色vip")
    private Integer vipMax;

    /**
     * 最近登录时间
     */
    @ApiModelProperty(notes = "最近登录时间")
    private LocalDateTime updateTime;

    /**
     * 最近充值时间
     */
    @ApiModelProperty(notes = "最近充值时间")
    private LocalDateTime lastRechargeTime;

    /**
     * 玩家状态, -1 为冻结状态, 1 为试玩状态 2为正常状态
     */
    @ApiModelProperty(notes = "玩家状态, -1 为冻结状态, 1 为试玩状态 2为正常状态")
    private Integer status;

    /**
     * 证件号码
     */
    @ApiModelProperty(notes = "证件号码")
    private String idCard;

}
