package com.zanxiang.sdk.domain.params;

import com.fasterxml.jackson.annotation.JsonAlias;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-13
 * @description : 手机注册参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RegisterMobileParam extends CommonParam {

    /**
     * 验证码类型
     */
    @ApiModelProperty(notes = "验证码类型")
    @NotNull(message = "验证码类型不可为空")
    @JsonAlias("sms-type")
    private Integer type;

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    @NotBlank(message = "手机号不可为空")
    @JsonAlias("sms-mobile")
    private String mobile;

    /**
     * 验证码
     */
    @ApiModelProperty(notes = "验证码")
    @NotBlank(message = "验证码不可为空")
    @JsonAlias("sms-code")
    private String code;

    /**
     * 密码
     */
    @ApiModelProperty(notes = "密码")
    @NotBlank(message = "登陆密码不可为空")
    @JsonAlias("mem-password")
    private String password;
}
